1
vote
0answers
77 views

gcc --as-needed linker flag not working

I have two computers with Gentoo, both on AMD64. I try to build a following program: int main() {tgetent();} The command to compile is: gcc -v 1.c -Wl,--as-needed -lncurses On one computer it ...
2
votes
1answer
606 views

Gentoo LDFLAGS optimizations really needed?

I'm using Gentoo Linux. Here is my toolchain: sys-kernel/linux-headers-3.9 sys-devel/binutils-2.23.1 USE="cxx nls zlib -multislot -multitarget -static-libs {-test} -vanilla" ...
1
vote
2answers
100 views

GCC running version doesn't match emerged version

Here is the output from my portage search for gcc: emerge -s gcc ... * sys-devel/gcc Latest version available: 4.6.3 Latest version installed: 4.6.3 Size of files: 70,353 kB ...
0
votes
2answers
457 views

Wine on Gentoo fails with libgcc_s.so.1 must be installed message

Not long ago problems with Wine have began on my Gentoo PC... When I try to launch any application I see this thing: libgcc_s.so.1 must be installed for pthread_cancel to work wine client error:25: ...